Kepler - Bug #5352

build-area-2.1 is not working and build-area-2.2 is needed for kepler-2.2 release.
03/15/2011 01:56 PM - jianwu jianwu

Status: Resolved Start date: 03/15/2011
Priority: Normal Due date:

Assignee: David Welker % Done: 0%
Category: build system Estimated time: 0.00 hour
Target version: 2.2.0 Spent time: 0.00 hour
Bugzilla-ld: 5352

Description

| didn't see build-area-2.2 module for kepler-2.2 at https://code.kepler-project.org/code/kepler/releases/release-branches/ or
https://code.kepler-project.org/code/kepler/releases/released/. When | tried to use
https://code.kepler-project.org/code/kepler/releases/release-branches/build-area-2.1/, | got the following exception. Since kepler
trunk is ever changing, we'd better have a build-area-2.2 module for kepler 2.2 release.

kepler:build-area-2.1 jianwu$ svn info

Path: .

URL: https://code.kepler-project.org/code/kepler/releases/release-branches/build-area-2.1
Repository Root: https:/code.kepler-project.org/code/kepler
Repository UUID: edc41a2b-3e5c-0410-9d3f-8540a70682f1
Revision: 27291

Node Kind: directory

Schedule: normal

Last Changed Author: welker

Last Changed Rev: 26871

Last Changed Date: 2011-01-31 14:25:53 -0800 (Mon, 31 Jan 2011)

kepler:build-area-2.1 jianwu$ ant
Buildfile: /Users/jianwu/Kepler/repository/kepler/kepler-branch-2.2/build-area-2.1/build.xml

BUILD FAILED

/Users/jianwu/Kepler/repository/kepler/kepler-branch-2.2/build-area-2.1/build.xml:4: The following error occurred while executing this
line:

/Users/jianwu/Kepler/repository/kepler/kepler-branch-2.2/build-area-2.1/settings/taskdefs.xml:5: typedef class org.kepler.build.Get
cannot be found

using the classloader AntClassLoader(]

Total time: 0 seconds

History

#1 - 03/15/2011 03:38 PM - David Welker

Nice catch.
| have added a build-area-2.2.

For the problem with the build-area-2.1, you simply have to rename build-area-2.1 to "build-area" instead of keeping the name as "build-area-2.1." |
have added documentation to this effect to the wiki,

Closing.

#2 - 03/15/2011 04:54 PM - jianwu jianwu

The new build-area-2.2 seems have problem to check out ptolemy. Here is the error | got when | first use 'ant change-to -Dsuite=kepler-2.2" after
build-area check out. It tries to check out two version of ptolemy.

[change-to] ptolemy-8.1:

[change-to] Downloading ptolemy-8.1...

[change-to] svn co -r head http:/code.kepler-project.org/code/kepler/releases/release-branches/ptolemy-8.1
/Users/jianwu/Kepler/repository/kepler/kepler-branch-2.2/ptolemy-8.1

[change-to] A /Users/jianwu/Kepler/repository/kepler/kepler-branch-2.2/ptolemy-8.1/lib

[change-to] A /Users/jianwu/Kepler/repository/kepler/kepler-branch-2.2/ptolemy-8.1/module-info/licenses.txt
[change-to] A /Users/jianwu/Kepler/repository/kepler/kepler-branch-2.2/ptolemy-8.1/module-info/revision.txt

[change-to] Checked out revision 27294.

[change-to]

[change-to] ptolemy revision: 60245

[change-to] svn co -r 60245 svn://source.eecs.berkeley.edu/chess/ptll/trunk /Users/jianwu/Kepler/repository/kepler/kepler-branch-2.2/ptolemy-8.1/src
[change-to] svn: '/Users/jianwu/Kepler/repository/kepler/kepler-branch-2.2/ptolemy-8.1/src' is already a working copy for a different URL

[change-to]

BUILD FAILED

/Users/jianwu/Kepler/repository/kepler/kepler-branch-2.2/build-area/build.xml:81: ERROR: It appears that the command did not execute properly and
exited with an exit code of: 1

Total time: 4 minutes 58 seconds

#3 - 05/24/2011 04:57 PM - David Welker
Fixed. Closing.

#4 - 03/27/2013 02:30 PM - Redmine Admin
Original Bugzilla ID was 5352
